Page MenuHomePhabricator

Define a process to attribute Flow creator rights to (a group of) users on wikis where Flow is deployed
Closed, ResolvedPublic

Description

Background

I've got two requests from two communities where Flow is enabled as a Beta feature to give the right to create flow boards to some users/usergroups (namely Wikidata and fr.wikiversity).

At the moment, only 3 people have the right to create Flow boards globally on the wikis: @Catrope, @Quiddity and @Trizek-WMF. There is no local Flow creator group.

In which conditions Flow boards can be created?

  • At the moment:
    • only wikis where Flow is already avaliable are eligible. If Flow is not available, it is not possible to have Flow deployed without a global consensus.
    • a group of people asking to have Flow on a page must reach consensus from users who use the page they want Flow on (possibly one user alone when the request if for a new project, with no page created).
  • This rule can be locally changed, and it would possibly be the case when a community gets the Flow creator rights.

Questions

Is it a good idea to create a local Flow create right?

  • It will decrease the delay between a request and the application
  • Communities can do what they want, at their own conditions
  • It may be a source of conflicts between people pro-Flow or pro-Unstructured pages
  • It will ease page moves, renamings...
  • ...

Which users can have this right?

  • An already existing group? That easier, but there is a risk to have people who are against Flow who will refuse or revert Flow board creations. Rules have to be provided.
  • A new group? That's more complicated but it can involve more people. Bureaucrats will then have the possibility to give this right locally, based
  • Should we give the Global right to Stewards?

To-do

In this order:

  • Reply to the questions, and, by extension, see if it is a good idea
  • Create the user right (if the idea is good)
  • Document how to create new Flow boards with this new right

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Trizek-WMF triaged this task as Normal priority.May 15 2017, 10:31 AM

The flow-bot right exists on flow.dblist wikis that have the
flow-create-board permission. I don't think there's a need to create a new
group nor assign it globally to anyone. Just rename flow-bot to
flow-creator or assign flow-create-board permissions to administrators on
flow wikis.

+1, it would be useful for me to be able to create Flow discussion pages on Wikidata :)

Trizek-WMF updated the task description. (Show Details)Jun 8 2017, 1:13 PM

From feedback on this task, and also offline, give the right to more people appears to be a good idea.

@MarcoAurelio has written a possible solution.

I think we should give it all admins by default. The question to give it to people dealing with account renaming is explored on T126229: flow-create-board for bureaucrats?, global renamers? stewards (done) (and "Global rename script" ?).

@Trizek-WMF

@MarcoAurelio is right. There is no need to create a new right. However, please don't rename flow-bot. That is an internal group used by TalkpageManager.

flow-create-board can be given to the appropriate groups (e.g. admins), as with any right (after discussing and determining what is appropriate).

Most wikis where Flow is enabled as a Beta feature also allow Flow boards on other talk pages. But on some wikis, there is possibly some opposition.

We can give flow-create-board right to people on a given wiki, assuming those people know the rules. It can be given by role, or just to trusted users (a bit more complicated, because it needs requests).

I think we can go to give the right to admins on those wikis and prompt them to clarify if Flow boards can be created outside of the Beta feature on their wiki.

Trizek-WMF changed the task status from Open to Stalled.Jul 12 2017, 4:36 PM
Trizek-WMF lowered the priority of this task from Normal to Low.

Stalled until I have time to work on it (after Wikimania?)

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 31 2017, 8:09 AM
Trizek-WMF changed the task status from Stalled to Open.Sep 14 2017, 10:51 AM

I've been pinged on Chinese Wikipedia about give the right to create move and delete Flow boards to sysops.

I think we will go on give the right to admins on wikis where Flow is used as a Beta feature.

Trizek-WMF closed this task as Resolved.Sep 14 2017, 4:58 PM

After discussions, let's go on giving the right to admins on wikis where Flow is used as a Beta feature.

Qgil awarded a token.Sep 15 2017, 8:40 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptDec 15 2018, 9:59 AM